Bug 1147500 - RFE: add command to firewall-cmd showing details of a service
Summary: RFE: add command to firewall-cmd showing details of a service
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Thomas Woerner
QA Contact: Tomas Dolezal
Mirek Jahoda
URL:
Whiteboard:
Keywords: FutureFeature, Patch
Depends On:
Blocks: 1203710 1296594 1313485
TreeView+ depends on / blocked
 
Reported: 2014-09-29 12:19 UTC by David Jaša
Modified: 2016-11-21 15:19 UTC (History)
8 users (show)

Fixed In Version: firewalld-0.4.2-1.el7
Doc Type: Enhancement
Doc Text:
The "firewall-cmd" command can now provide additional details With this update, _firewalld_ shows details of a service, zone, and *ICMP* type. Additionally, the user can list the full path to the source XML file. The new options for "firewall-cmd" are: * [--permanent] --info-zone=zone * [--permanent] --info-service=service * [--permanent] --info-icmptype=icmptype
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 21:00:11 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2597 normal SHIPPED_LIVE Moderate: firewalld security, bug fix, and enhancement update 2016-11-03 12:11:47 UTC

Description David Jaša 2014-09-29 12:19:14 UTC
Description of problem:
It would be nice for firewalld to be able to show actual current configuration of a service (without need to go to files in at least two locations and possibly query runtime overrides). 'firewall-cmd' already supports --get-services command to list configured service, this RFE just expands on this approach to see details of the service (what ports/protocols are opened etc.)

Version-Release number of selected component (if applicable):
firewalld-0.3.9-7.el7.noarch

Comment 5 Thomas Woerner 2016-01-13 14:08:08 UTC
Additional upstream commit to add --path- options: https://github.com/t-woerner/firewalld/commit/6136f8ee4a5e170431c48bd1dc2c6cd7e06459f8

Comment 9 Mike McCune 2016-03-28 23:42:22 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 13 errata-xmlrpc 2016-11-03 21:00:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2597.html


Note You need to log in before you can comment on or make changes to this bug.